'  FF_REMOVEANY
'  删除字符串中指定字符

'  如果MatchPattern不存在，所有主要是完好无损的返回。
'  sMatchPattern列表指定要搜索的单个字符，
'  任何一种的匹配将导致该字符将从结果中删除。
'  这个函数是区分大小写。
'  Function FF_RemoveAny( ByRef sMainString   as String, _
'                         ByRef sMatchPattern as String _
'                         ) as String
''
''  FF_REMOVEANY
''  Return a copy of a string with characters or strings removed
''
''  If MatchPattern is not present in MainString, all of MainString is returned intact.
''  MatchPattern specifies a list of single characters to be searched for individually, 
''  a match on any one of which will cause that character to be removed from the result.
''  This function is case-sensitive. 
''
Function FF_RemoveAny( ByRef sMainString   as String, _
                       ByRef sMatchPattern as String _
                       ) as String

    Dim i as Integer 
    Dim s as String 
   
    If Len(sMainString) = 0 Then Return sMainString

    s = sMainString
    Do
        i = InStr(s, Any sMatchPattern)
        If i > 0 Then 
           s = Left(s, i - 1) & Mid(s, i + 1)
        End If   
    Loop Until i = 0
   
    Return s

End Function

